@echo off

if exist cpuid.lib del cpuid.lib                : delete any previous version

dir /b *.asm > ml.rsp                           ; create response file for assembler

echo.
echo --------------------------------
echo Assembling CPUID Library Modules
echo --------------------------------
echo.

\masm32\bin\ml.exe /c @ml.rsp

dir /b *.obj > lnk.rsp                          : create response file for linker

echo.
echo -----------------------------
echo Linking CPUID Library Modules
echo -----------------------------
echo.

\masm32\bin\link -lib @lnk.rsp /out:cpuid.lib

del *.obj                                       : clean up the mess
del *.rsp

: -------------------
: display the results
: -------------------
dir cpuid.*

pause                                           : pause so you can see the results

