; 

    .486                      ; maximum processor model
    .model flat, stdcall      ; memory model & calling convention
    option casemap :none      ; case sensitive
 
    .code       ; code section

; 

is_cpuid proc

    pushfd
    pop eax

    mov ecx, eax
    xor eax, 00000000001000000000000000000000b          ; set bit 21
    push eax
    popfd
    pushfd
    pop eax

    xor eax, ecx            ; test if its changed
    jz NotChanged
    mov eax, 1              ; returns 1 if CPUID is present
    ret

  NotChanged:
    xor eax, eax            ; returns 0 if its not
    ret

is_cpuid endp

; 

end
